Несколько уязвимостей в AuraCMS

Дата публикации:
13.09.2007
Дата изменения:
13.09.2007
Всего просмотров:
1312
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-4886
CVE-2007-4905
CVE-2007-4908
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AuraCMS 2.x
Уязвимые версии: AuraCMS 2.1, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю получить доступ к важным данным и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной проверки расширений загружаемых файлов в сценарии mod/contak.php. Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на системе.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "pilih" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP. Пример:
http://[host]/index.php?pilih=../../../../../../../etc/passwd%00

URL производителя: www.auracms.org

Решение: Установите последнюю версию с сайта производителя.

или введите имя

CAPTCHA